﻿using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace DockingManager127546
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {      
        bool Statechanged = false;
        public MainWindow()
        {
            InitializeComponent();
            docking.DockStateChanged += docking_DockStateChanged;            
            this.Deactivated += MainWindow_Deactivated;
            Closing += MainWindow_Closing;          
        }

        private void MainWindow_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            foreach (Window win in Application.Current.Windows)
            {
                if (win is NativeFloatWindow)
                    win.Close();
            }
        }

        private void MainWindow_Deactivated(object sender, EventArgs e)
        {
            if (Statechanged)
            {
                foreach (Window win in Application.Current.Windows)
                {
                    if (win is NativeFloatWindow && win.Owner!= null)
                        win.Owner = null;
                }
            }
            Statechanged = false;
        }

        void docking_DockStateChanged(FrameworkElement sender, DockStateEventArgs e)
        {
            if(e.NewState == DockState.Float)
               Statechanged = true;
        }
    }
}